Updates the location object
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
location| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
|
| _parent_id |
Reference to a parent location |
globally unique identifier | |
| _parent_reference_back_office |
Embedded entity "location" for parent location using ERP PK when adding/updating location |
string | |
| _parent_location |
Embedded entity "location" for parent location when adding/updating location |
location | |
| project_status_id |
Foreign key to project_status_id |
globally unique identifier | |
| company_id |
The company owner of this location |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating location |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating location |
company |
Optionally required : company_id, company_code or company must be provided |
| name |
Name of the location |
string |
Required Max length: 50 |
| extra_information |
extra_information |
string |
Max length: 255 |
| reference_back_office |
The Id/Ref of the back office for this location. Used by Embedded entity |
string |
Max length: 255 |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string |
Max length: 50 |
|
Email address |
string |
Max length: 250 |
|
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| latitude_decimal |
Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| longitude_decimal |
Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| contact_id |
Foreign key of contact for this location |
globally unique identifier | |
| contact_reference_back_office |
Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office |
string | |
| contact |
Embedded entity "contact" when adding/updating location |
contact | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| id2 |
Internal ID (numeric). Will be used if reference_back_office is empty |
integer |
Request Formats :
application/json, text/json
{
"id": "1259755e-90cc-4cf0-a385-388ede237e0b",
"_parent_id": "76e05346-ebb4-4922-b261-d6aaff576de5",
"_parent_reference_back_office": "sample string 3",
"project_status_id": "9b9bd524-44ae-4e6d-a77c-c79438154928",
"company_id": "d707f49d-09d8-4d4c-a6d7-13100ab3231c",
"company_code": "sample string 6",
"name": "sample string 7",
"extra_information": "sample string 8",
"reference_back_office": "sample string 9",
"street": "sample string 10",
"street_number": "sample string 11",
"zip": "sample string 12",
"city": "sample string 13",
"phone": "sample string 14",
"email": "sample string 15",
"db_country_id": "10b84ef4-3cbd-4323-9685-20d439306661",
"db_country_code": "sample string 17",
"street2": "sample string 18",
"latitude_decimal": 1.0,
"longitude_decimal": 1.0,
"contact_id": "c2bbd341-c585-426a-a192-52c617d36ddd",
"contact_reference_back_office": "sample string 20",
"contact": {
"id": "cb0e8b19-3778-4dce-8fbf-edbc4b66966c",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "514f04b3-76e4-4af8-be12-b3b3f1a55380",
"company_code": "sample string 5",
"company": {
"id": "75e47864-7f95-4eac-be81-c0b456407102",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-28T21:50:16.4493832+00:00",
"sales_territory_id": "f1209a41-150c-4360-aa3a-422a1411db6f",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "cf5d1a51-7116-4018-8a30-058a837909a9",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "dba594e0-a383-4d58-98e7-c3d4cdd3615c",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "016dd935-44b4-4a4d-89dc-d5f53236d7c8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9f83f59f-a57a-43aa-854d-c4a8afb09c80",
"db_currency_id": "e585c841-76e0-4191-b8b3-fdc99135a374",
"db_language_id": "3c421195-86c6-4954-8cff-19fc5782cafb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:50:16.4493832+00:00"
},
"modified_dateutc": "2026-10-28T21:50:16.4493832+00:00"
},
"marketing_segment_id": "c9cfc2e8-1240-4b8c-9343-6b7e952612f6",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "a2e5cf42-7bdf-4033-a02c-dc4f5483fb2a",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "d57bcf79-c8b7-478b-96a4-c9ea188253ac",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "d2e4b3e5-d907-4f3a-8bf0-fd588dc12592",
"db_country_code": "sample string 28",
"feelist_id": "03ec4fde-1b1c-49b5-af35-c137381256ae",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "97ef0f43-6d2e-467c-87d7-65d260fa80e2",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "a5ef84da-16eb-48ad-8f16-cbd8e59cd46f",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-28T21:50:16.4493832+00:00",
"db_currency_id": "20a0a4ea-eadc-45eb-bc67-f80b3a6d440a",
"db_currency_code": "sample string 10"
},
"company_type_id": "829c5d0e-5d2a-4283-b4d7-34ef56223eb0",
"company_type_name": "sample string 32",
"company_type": {
"id": "2b0337ad-9fb6-41d7-bebd-35173f7f86f1",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "3d8deca8-9242-47c8-ba51-2848f3d01c80",
"sales_organization_code": "sample string 5"
},
"db_language_id": "f2da0b6e-4c51-42b6-b293-2f52e293cf48",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "c95d60c1-182c-4939-a027-5e5b45382b14",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "d74dfe1c-7fdc-448c-a60d-f62d5738c326",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "041f3284-e9ea-4d6b-b5d0-619b93defbac",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-28T21:50:16.4493832+00:00"
},
"company_sector_id": "3537360b-e8cc-4940-9289-430970897109",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "344c7483-852c-4c80-80ac-edccdec716ce",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "a099a3ac-4f5e-465e-906b-7f9bdce5d291",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "6fb3910c-8b76-489b-9a99-45902b9950ba",
"account_manager_user_code": "sample string 56",
"company_status_id": "37073ed9-5107-4c14-990b-06a27c60fe24",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-28T21:50:16.4493832+00:00",
"id2": 60
},
"db_language_id": "0219647b-f712-4d1f-9473-5d4d235e6f2d",
"db_language_code": "sample string 7",
"db_title_id": "4e5af8f6-cceb-4b67-b012-a01e426d95ef",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-28T21:50:16.4493832+00:00",
"create_date": "2026-10-28T21:50:16.4493832+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-28T21:50:16.4493832+00:00"
},
"modified_dateutc": "2026-10-28T21:50:16.4493832+00:00",
"id2": 22
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.